### General ###
site_url = "https://deadvey.com/blog/"
site_name = "DeaDvey's Blog"
site_description = "Linux, tech and reviews"
webroot = "/var/www/deadvey.com/blog/"
date_format = "%d/%m/%Y at %H:%M" # The date that is displayed on the page
post_seperator = "---------------------------------------------"
posts_in_timeline = 100
file_extension = "html"

### Feeds ###
atom = False
rss = True

### Logging ###
logfile = "/home/max/glogger/log"
verbose = False

### Format ###
# The syntax for this is pretty simple
# %S - post seperator as defined by post_seperator
# %T - Title
# %D - Published date in the format specified by date_format
# %E - Edited date in the format specified by date_format
# %C - Post content
# %L - URL Permanent link to the post
# %U - URL the the user (poster)
# %H - URL to the site home page /
# %N - the username of the user (poster)
# %R - Site wide RSS feed
# %Y - Site Name as defined by site_name
# %y - Site Descriptin as defined by site_description
site_header = '''
<h1>%Y</h1>
<b>%y</b>
<a href="%R">RSS Feed</a>
'''
user_page_post_format = '''
<h2>%T</h2>
<pre style="white-space: pre-wrap;">%C</pre>
<a href="%L">permalink</a>
<hr/>
'''
post_page_post_format = '''
<h1>Posted by %N</h1>
<h2>%T</h2>
<i>Published: %D</i>
<pre style="white-space: pre-wrap;">%C</pre>
<a href="%U">%N</a>
<i>Published: %D</i>
<i>Last Edited: %E</i>
'''
timeline_post_format = '''
<h3>%T</h3>
<pre style="white-space: pre-wrap;">%C</pre>
<a href="%L">permalink</a>
<hr/>
'''
autogenerated = False
